unit MIRA_Consts;

interface

const
{$IFDEF WIN32}
  GUID_ShellExtension: TGUID = '{0541A387-FB12-466F-8B9B-B53D7448700A}';
  KeyName = 'Mira';
{$ELSE}
  GUID_ShellExtension: TGUID = '{ACF86A6C-59FC-46A1-8488-8C5F0985AF69}';
  KeyName = 'Mira64';
{$ENDIF}

resourcestring
  SMNUCaption = 'Mira';
  SBKCaption = 'obNAbv';
  SBKHint = 'IڂobNAbv܂';
  SRECaption = 'XgA';
  SREHint = 'IڂXgA܂';

function ServerFileName: string;
function STR_ShellExtension: string;

implementation

uses
  System.SysUtils, SysInfo;

function ServerFileName: string;
begin
  Result := ExtractFilePath(ModuleFileName) + 'Mira.exe';
end;

function STR_ShellExtension: string;
begin
  Result := GUIDToString(GUID_ShellExtension);
end;

end.
