unit MIRA_Cleanup;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, NumEdits;

type
  TCleanupDialog = class(TForm)
    OKButton: TButton;
    CancelButton: TButton;
    KeepingLbl: TLabel;
    KeepingEdt: TUpDownEdit;
    StoringLbl: TLabel;
    StoringEdt: TUpDownEdit;
    procedure FormShow(Sender: TObject);
    procedure EdtsVerify(Sender: TObject; var AText: string; var APosition: Integer;
      Relation: TNumericallyRelationship);
  private
    { Private 錾 }
    procedure UpdateOKButton;
  public
    { Public 錾 }
  end;

var
  CleanupDialog: TCleanupDialog;

implementation

{$R *.dfm}

procedure TCleanupDialog.UpdateOKButton;
begin
  OKButton.Enabled := (KeepingEdt.Relation = nrAccord) and (StoringEdt.Relation = nrAccord);
end;

procedure TCleanupDialog.FormShow(Sender: TObject);
begin
  UpdateOKButton;
end;

procedure TCleanupDialog.EdtsVerify(Sender: TObject; var AText: string;
  var APosition: Integer; Relation: TNumericallyRelationship);
begin
  UpdateOKButton;
end;

end.
