(* Mira

Ver, 1.00 2012/06/17 ʂ芮B
Ver, 1.01 2013/02/10 G[`FbNBFilerForm ̒BXPW[̐ݒƗB
Ver, 1.02 2013/06/01 ו߁B
Ver, 1.03 2013/10/05 ԂɂăgCACRύXBc[o[ɂ"ׂĒ~"{^ǉBقB
Ver, 1.04 2014/10/17 VFċN̓CB
Ver, 1.05 2016/10/16 Delphi10.1 ɈڍsBSʓIɍ蒼iǁA܂k܂ȂjB
Ver, 1.06 2017/10/03 CuXVBRs[Ƀ^CX^vꎮRs[悤ύXB
Ver, 1.07 2018/01/21 CuXVB̓`FbN̕ύXBTFilerForm.FileViewCheck ύXB
Ver, 1.08 2018/04/11 CuCBgCACR̓o^@ύXB
Ver, 1.09 2018/10/07 Delphi10.2 ɈڍsBx64 ΉBTActionManager ̗pp~ik񂾁jB
Ver, 1.10 2019/04/18 Delphi10.3 ɈڍsBXgr[̏CB
Ver, 1.11 2021/04/17 TFilerForm.FileViewExpanding CBΏۑɃV{bNNǉBقB
Ver, 1.12 2023/01/28 ۊǌIvVAN[Abv@\ǉBCj[̐B
Ver, 1.13 2023/07/08 Delphi11.3 ɈڍsBΏۑ`FbNύXB

  Cet *)

program Mira;

uses
  Vcl.Forms,
  Winapi.Windows,
  MIRA_Main in 'MIRA_Main.pas' {MainForm},
  MIRA_Filer in 'MIRA_Filer.pas' {FilerForm},
  MIRA_Seting in 'MIRA_Seting.pas' {SetingDialog},
  MIRA_Schedule in 'MIRA_Schedule.pas' {ScheduleDialog},
  MIRA_Config in 'MIRA_Config.pas' {ConfigDialog},
  MIRA_Consts in '..\DLL\MIRA_Consts.pas',
  MIRA_Cleanup in 'MIRA_Cleanup.pas' {CleanupDialog};

{$R *.res}

const
  StateID = '{08C00236-B257-4708-8254-4CEE1E4E0F59}';

var
  RunningState: THandle;

begin
  {$IFDEF DEBUG}
  ReportMemoryLeaksOnShutdown := True;
  {$ENDIF DEBUG}
  //dN}~
  RunningState := CreateMutex(nil, False, PChar(StateID));
  if RunningState <> 0 then
  begin
    try
      if GetLastError <> ERROR_ALREADY_EXISTS then
      begin
        Application.Initialize;
        Application.MainFormOnTaskbar := True;
        Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TFilerForm, FilerForm);
  Application.CreateForm(TSetingDialog, SetingDialog);
  Application.CreateForm(TScheduleDialog, ScheduleDialog);
  Application.CreateForm(TCleanupDialog, CleanupDialog);
  Application.CreateForm(TConfigDialog, ConfigDialog);
  Application.Run;
      end
      //! else MessageBox(0, 'Mutex already exists', 'Mira', MB_OK or MB_ICONERROR);
    finally
      CloseHandle(RunningState);
    end;
  end
  else
    MessageBox(0, 'Mutex creation failed', 'Mira', MB_OK or MB_ICONERROR);
end.
