unit MIRA_Schedule;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ComCtrls;

type
  TScheduleDialog = class(TForm)
    OKButton: TButton;
    CancelButton: TButton;
    ScanDateLbl: TLabel;
    ScanDateEdt: TMonthCalendar;
    ScanTimeLbl: TLabel;
    ScanTimeEdt: TDateTimePicker;
    procedure FormShow(Sender: TObject);
    procedure ScanDateEdtClick(Sender: TObject);
    procedure ScanDateEdtKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure ScanTimeEdtChange(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  ScheduleDialog: TScheduleDialog;

implementation

{$R *.dfm}

uses
  MIRA_Main;

procedure TScheduleDialog.FormShow(Sender: TObject);
begin
  ScanTimeEdt.DateTime := MainForm.ScanTime;
  ScanDateEdt.Date := ScanTimeEdt.Date;
end;

procedure TScheduleDialog.ScanDateEdtClick(Sender: TObject);
begin
  ScanTimeEdt.Date := ScanDateEdt.Date;
end;

procedure TScheduleDialog.ScanDateEdtKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  ScanDateEdtClick(Sender);
end;

procedure TScheduleDialog.ScanTimeEdtChange(Sender: TObject);
begin
  ScanDateEdt.Date := ScanTimeEdt.Date;
end;

end.
